# Documentation on how to configure the bundle can be found at: https://symfony.com/doc/current/bundles/LiipImagineBundle/basic-usage.html
liip_imagine:


    twig:
        mode: lazy
    # valid drivers options include "gd" or "gmagick" or "imagick"
    driver: "gd"
    #    resolvers:
    #
    #        # setup the default resolver
    #        default:
    #
    #            # use the default web path
    #            web_path: ~
    resolvers:
    #default:
    #        aws_s3_resolver:
    #            aws_s3:
    #                client_config:
    #                    credentials:
    #                        key: "%env(AWS_S3_ACCESS_ID)%"
    #                        secret: "%env(AWS_S3_ACCESS_SECRET)%"
    #                    region: "%env(AWS_S3_REGION)%"
    #                    version: "%env(AWS_S3_VERSION)%"
    #                bucket: "%env(AWS_S3_BUCKET_NAME)%"
    #                get_options:
    #                    Scheme: https
    #                put_options:
    #                    CacheControl: "max-age=86400"
    #
    #    cache: aws_s3_resolver

    #    loaders:
    #        aws_loader:
    #            flysystem:
    #                filesystem_service: flysystem.aws_filesystem_filesystem

    #data_loader: aws_loader
    filter_sets:

        cache : ~
        thumb:
            #  cache: aws_s3_resolver
            quality: 85

            filters:
                thumbnail:
                    size: [ 370, 240 ]
                    mode: outbound
                    allow_upscale: true
                crop:
                    #  start: [0, 0]
                    size: [ 370, 240 ]
                    #mode: inset
        show:
            # cache: aws_s3_resolver
            quality: 100
            filters:
                thumbnail:
                    size: [ 670, 450 ]
                    mode: outbound
        avatar:
            # cache: aws_s3_resolver
            quality: 100
            filters:
                thumbnail:
                    size: [ 100, 100 ]

        show_mobile:
            #  cache: aws_s3_resolver
            quality: 100
            filters:
                thumbnail:
                    size: [ 300, 300 ]

        cat:
            # cache: aws_s3_resolver
            quality: 100
            filters:
                thumbnail:
                    size: [ 261, 261 ]

        minievent:
            # cache: aws_s3_resolver
            quality: 100
            filters:
                thumbnail:
                    size: [ 400, 260 ]
        organisation:
            quality: 100
            filters:
                thumbnail:
                    size: [ 200, 200 ]

        mimi:
            # cache: aws_s3_resolver
            quality: 100
            filters:
                thumbnail:
                    size: [ 51, 32 ]

        icon:
            # cache: ~
            quality: 100
            filters:
                thumbnail:
                    size: [ 30, 30 ]

        minithumb:
            # cache: ~
            quality: 100
            filters:
                thumbnail:
                    size: [ 30, 30 ]
